<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
  xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
  <ui:composition template="/pages/primodaltemplate.xhtml">
  	<ui:define name="title">
  		<h:outputText value="#{facesContext.translate('title.item.user', statisticModel.functionBean.name)}" />
  	</ui:define>
    <ui:define name="body">
      <ship:priuserpanel actionAdd="#{statisticController.doAddUserGroupPrivilege}" actionEdit="#{statisticController.doEditPrivilege}"
        actionDelete="#{statisticController.doDeletePrivilege}" activeElement="#{statisticModel.activePrivilege}"
        list="#{statisticModel.groupPrivileges}" allGroups="#{statisticModel.allGroups}"
        allUsers="#{statisticModel.allSquareUsers}" newGroup="#{statisticModel.newGroup}" newUser="#{statisticModel.newUsnr}" newAcl="#{statisticModel.newAcl}"
        labelRead="label.accesslevel.0" labelWrite="label.accesslevel.1" labelExecute="label.accesslevel.test" facesContext="#{facesContext}" lang="#{lang.simpleLocaleCode}"
        rendered="#{profile.hasPrivilege('statisticadmin') or statisticModel.canWrite(facesContext)}">
      </ship:priuserpanel>
    </ui:define>
    <ui:define name="formbuttons">
      <p:commandButton id="btn_cancel" action="#{statisticController.toWelcome}" value="#{facesContext.translate('button.overview')}" ajax="false" />
    </ui:define>
  </ui:composition>
</h:body>
</html>